<template>
	<view class="comment">
		<view class="main-container">
			<u-input v-model="content" type="textarea" height="300" maxlength="200" />
			<!-- <u-upload 
				ref="uUpload" 
				@on-uploaded="onUploaded" 
				:custom-btn="true" 
				:max-count="count" 
				:auto-upload="false"
			>
				<view slot="addBtn" class="slot-btn" hover-class="slot-btn__hover" hover-stay-time="150">
					<image src="../static/mine/27.png"></image>
				</view>
			</u-upload> -->
		</view>
		<u-toast ref="uToast" />
		<view class="write-btn" @click="addWashEvaluate">发表评价</view>
	</view>
</template>
<script>
export default {
	data() {
		return {
			washId: '',
			// count: 4, // 最大图片数量
			content: '',
		}
	},
	onLoad(option) {
		this.washId = option.id;
	},
	methods: {
		verifyParams() {
			if(this.$u.test.isEmpty(this.content)) {
				this.$u.toast('内容不可为空');
				return false;
			}
			return true;
		},
		addWashEvaluate() {
			if(!this.verifyParams()) return false;
			this.$u.api.sendOrderComment({
				id: this.washId,
				comment: this.content,
			}).then(res => {
				this.$refs.uToast.show({
					title: res.message,
					back: true,
				})
			})
		},
		bindTextAreaBlur(event) {
			this.content = event.detail.value;
		}
	},
};
</script>
<style lang="scss" scoped>
.comment {
	min-height: calc(100vh - var(--window-top));
	background-color: #ECECEC;
	border-top: 1rpx solid #ffffff;
	.main-container {
		background-color: #ffffff;
		padding: 30rpx;
		margin-bottom: 10rpx;
		// textarea {
		// 	width: 100% !important;
		// 	height: 500rpx;
		// 	margin-bottom: 60rpx;
		// }
		// .slot-btn {
		// 	width: 140rpx;
		// 	height: 140rpx;
		// 	background: rgba(236,236,236,1);
		// 	border-radius: 10rpx;
		// 	text-align: center;
		// 	> img {
		// 		margin-top: 48rpx;
		// 		width: 54rpx;
		// 		height: 49rpx;
		// 	}
		// }
	}
	.write-btn {
		margin: 120rpx auto 0;
		width: 690rpx;
		height: 98rpx;
		background: rgba(255,120,15,1);
		border-radius: 46rpx;
		font-size: 36rpx;
		color: rgba(255,255,255,1);
		text-align: center;
		line-height: 98rpx;
	}
}
</style>